<?php

namespace STM\Plugin\ParserFotbalCZ\Helpers;

/**
 * Test class for Strings.
 * Generated by PHPUnit on 2013-07-11 at 17:58:14.
 */
class StringsTest extends \PHPUnit_Framework_TestCase
{

    /** @var Strings */
    private $object;

    protected function setUp()
    {
        $this->object = new Strings();
    }

    public function testCutString()
    {
        $text = 'aaa|my|my|my|my|myend';
        parent::assertEquals('|my|my|my|my|my', $this->object->cutString($text, '|', 'end'));
    }

    public function testDeleteEmptyLines()
    {
        $text = "\n\n\n\ntext\n\n\n\n\n\n\n\n\n\n";
        parent::assertEquals("text\n", $this->object->deleteEmptyLines($text));
    }

    public function testCutStartingNumbers()
    {
        $text = '12556AAAAA';
        parent::assertEquals('AAAAA', $this->object->cutStartingNumbers($text));
    }
}
